Create a registry robot account
POST
/api/v1/organizations/{orgID}/registry/robot-accounts
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry/robot-accounts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","permissions":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry/robot-accounts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "permissions": [ "example" ] }'Creates a robot account. The one-time token secret is returned only in this response.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
permissions
Array<string>
Example generated
{ "name": "example", "permissions": [ "example" ]}Responses
Section titled “ Responses ”Robot account created. Contains the one-time token.
Media type application/json
object
id
required
string
org_id
required
string
name
required
string
permissions
required
Array<string>
harbor_id
integer | null format: int64
last_used_at
string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time
token
required
The one-time robot account secret. Shown only at creation.
string
Example generated
{ "id": "example", "org_id": "example", "name": "example", "permissions": [ "example" ], "harbor_id": 1, "last_used_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z", "token": "example"}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}Request validation failed.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}